Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 458698 - Review Request: libgdbus - D-Bus helper library
Summary: Review Request: libgdbus - D-Bus helper library
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-08-11 17:11 UTC by Marcel Holtmann
Modified: 2008-10-16 05:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-16 05:49:55 UTC


Attachments (Terms of Use)

Description Marcel Holtmann 2008-08-11 17:11:50 UTC
Spec URL: http://holtmann.fedorapeople.org/packages/libgdbus.spec
SRPM URL: http://holtmann.fedorapeople.org/packages/libgdbus-0.1-1.fc9.src.rpm
Description: libgdbus is a helper library for D-Bus integration with GLib

Comment 1 Parag AN(पराग) 2008-08-12 05:32:22 UTC
Suggestions
1) remove following from %files
%{_libdir}/*.a
see http://fedoraproject.org/wiki/Packaging/Guidelines#Exclusion_of_Static_Libraries

2) Your build section should look like this
%configure --disable-static
make %{?_smp_mflags}

3) Add "Requires: pkgconfig" to devel package
From Review Guidelines you can see
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability).

4) rpmlint complain that 
libgdbus.i386: E: zero-length /usr/share/doc/libgdbus-0.1/NEWS
==> Remove NEWS from %docs

5) you should drop following line from SPEC
/sbin/ldconfig -n $RPM_BUILD_ROOT/%{_libdir}

Comment 2 Marcel Holtmann 2008-08-12 06:06:26 UTC
Thanks for the review.

Spec URL: http://holtmann.fedorapeople.org/packages/libgdbus.spec
SRPM URL: http://holtmann.fedorapeople.org/packages/libgdbus-0.1-2.fc9.src.rpm
Description: libgdbus is a helper library for D-Bus integration with GLib

Comment 3 Dan Horák 2008-08-12 06:27:37 UTC
Reassigning back to Parag, the "Review request" bug should be assigned to reviewer during its whole life.

And one note - you should remove the explicit "Requires: glib2 dbus" as such dependencies are created automagically during the build process.

Comment 4 Parag AN(पराग) 2008-08-12 06:30:44 UTC
aah. All I can see about you is that this is your first package submission to
Fedora. If not then tell me which packages you are/was maintaining. 
You should look first http://fedoraproject.org/wiki/Package_Review_Process

You actually removed me from official review process. Have you done enough
package reviews before? I see that you are already member of packager group.
  

Thanks danny for your comment.

Comment 5 Marcel Holtmann 2008-08-12 07:11:02 UTC
Fixed the Requires mistake.

Spec URL: http://holtmann.fedorapeople.org/packages/libgdbus.spec
SRPM URL: http://holtmann.fedorapeople.org/packages/libgdbus-0.1-3.fc9.src.rpm
Description: libgdbus is a helper library for D-Bus integration with GLib

Comment 6 Parag AN(पराग) 2008-08-13 09:48:02 UTC
1) I think you should also keep timestamps using following command
    make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

2) I see there is no documentation/APIs for this library but there are some example files in test directory. you should also add them to %doc of -devel package. Don't include irrelevant files from test/* to %doc

3) Drop INSTALL from %doc as its really of no use.

BTW, Is this your first package submission?

Comment 7 Parag AN(पराग) 2008-10-06 05:15:01 UTC
any updates here?

Comment 8 Parag AN(पराग) 2008-10-12 03:10:11 UTC
Will Close this as NOTABUG by this Thursday if updates are not submitted.

Comment 9 Parag AN(पराग) 2008-10-16 05:46:06 UTC
marking as DEADREVIEW as no updates from submitter.


Note You need to log in before you can comment on or make changes to this bug.